<?php

session_start();
$com="AS";
include("DMMYSQLG.php");
$resultado=[];  
	  $textBus=mysqli_real_escape_string($con,$_REQUEST['term']);
	  if(trim($textBus)!=''){
                $sq_invent=mysqli_query($con ,"SELECT DISTINCT(n_reg), tdescrip FROM tipmerca 
                    WHERE modulo='".$_SESSION['mod_sis']."' AND   tdescrip like '$textBus%' OR
                    modulo='".$_SESSION['mod_sis']."' AND   n_reg like '$textBus%'  order by n_reg");    
}
		 // @$sql = mysqli_query($con ,$sq_retrieve);
		  while(@$reg = mysqli_fetch_array($sq_invent)){
			
                      $row["label"]="(".$reg['n_reg'].")".$reg['tdescrip'];
                       $row["tdescrip"]=$reg['tdescrip'];
                      $row["id"]=$reg['n_reg'];
                      $row["value"]=$reg['tdescrip'];
                       
              $resultado[]=$row;  
		  }
	  
          
  echo json_encode($resultado);
//$q = mysqli_real_escape_string($con,$_GET["q"]);
//$limit= mysqli_real_escape_string($con,$_GET["limit"]);
//if($_GET['tipBus']=='d')
//	$sq_invent=mysqli_query($con ,"SELECT tipmerca.tdescrip,tipmerca.n_reg,tipmerca.cod_var FROM tipmerca WHERE tipmerca.modulo='".$_SESSION['mod_sis']."' AND   tdescrip like '$q%' order by tdescrip limit $limit");
//elseif($_GET['tipBus']=='c')
//		$sq_invent=mysqli_query($con ,"SELECT * FROM tipmerca WHERE tipmerca.modulo='".$_SESSION['mod_sis']."' AND   n_reg like '$q%' OR cod_var='$q' order by n_reg limit $limit");
//while($dt_invent=mysqli_fetch_array($sq_invent)){
//	echo "$dt_invent['tdescrip']|$dt_invent['n_reg']\n";
//}
?>